## bleachbit 4.6.1~beta20231207

=== debian/changelog ===
bleachbit (4.6.1~beta20231207-0.1~mx23+1) mx; urgency=medium

  * Build new beta pre-release.
  * Drop fix-root.patch and fix-session-detection.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Dec 2023 09:22:24 -0800

bleachbit (4.6.0-0.3~mx23+1) mx; urgency=medium

  * Add "mx-pkexec" alternative dependency for MX 21 and 19.
  * Add "fix-root.patch".

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 10 Nov 2023 08:58:38 -0800

bleachbit (4.6.0-0.2~mx23+1) mx; urgency=medium

  * Import new release.
  * Cherry-pick patch from upstream to fix session detection.
  * Add python3-psutil to dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Nov 2023 12:42:57 -0800

=== debian/control ===
Source: bleachbit
Section: admin
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Hugo Lefeuvre <hle@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13), desktop-file-utils, dh-python
Build-Depends-Indep: gettext, python3-all, python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/packages/bleachbit.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/bleachbit
Homepage: https://www.bleachbit.org/

Package: bleachbit
Architecture: all
Depends: gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         libgtk-3-0,
         pkexec | mx-pkexec,
         policykit-1,
         python3-chardet,
         python3-gi,
         python3-psutil,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Description: delete unnecessary files from the system
 BleachBit deletes unnecessary files to free valuable disk space, maintain
 privacy, and remove junk. It removes cache, Internet history, temporary files,
 cookies, and broken shortcuts.
 .
 It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
 GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
 Second Life Viewer, VIM, XChat, and more.
 .
 Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
 previously deleted files for privacy and to improve compression of images),
 vacuums Firefox databases (to improve performance without deleting data), and
 securely shreds arbitrary files.

## bleachbit 4.6.2

=== Makefile ===
# Copyright (C) 2008-2024 Andrew Ziem.  All rights reserved.
# License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
# This is free software: You are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.
#
# Makefile edited by https://github.com/Tobias-B-Besemer
# Done on 2019-03-13

# On some systems if not explicitly given, make uses /bin/sh
SHELL := /bin/bash

.PHONY: clean install tests build

prefix ?= /usr/local
bindir ?= $(prefix)/bin
datadir ?= $(prefix)/share

INSTALL = install
INSTALL_DATA = $(INSTALL) -m 644

# if not specified, do not check coverage
PYTHON ?= python3
COVERAGE ?= $(PYTHON)

build:
	echo Nothing to build

clean:
	@rm -vf {.,bleachbit,tests,windows,bleachbit/markovify}/*{pyc,pyo,~} # files
	@rm -vrf {.,bleachbit,tests,windows,bleachbit/markovify}/__pycache__ # directories
	@rm -vrf build dist # created by py2exe
	@rm -rf BleachBit-Portable # created by windows/setup_py2exe.bat
	@rm -rf BleachBit-*-portable.zip
	@rm -vf MANIFEST # created by setup.py
	make -C po clean
	@rm -vrf locale
	@rm -vrf {*/,./}*.{pylint,pyflakes}.log
	@rm -vrf windows/BleachBit-*-setup*.{exe,zip}
	@rm -vrf htmlcov .coverage # code coverage reports

install:
	# "binary"
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL_DATA) bleachbit.py $(DESTDIR)$(bindir)/bleachbit
	chmod 0755 $(DESTDIR)$(bindir)/bleachbit

	# application launcher
	mkdir -p $(DESTDIR)$(datadir)/applications
	$(INSTALL_DATA) org.bleachbit.BleachBit.desktop $(DESTDIR)$(datadir)/applications/

	# AppStream metadata
	mkdir -p $(DESTDIR)$(datadir)/metainfo
	$(INSTALL_DATA) org.bleachbit.BleachBit.metainfo.xml $(DESTDIR)$(datadir)/metainfo/

	# Python code
	mkdir -p $(DESTDIR)$(datadir)/bleachbit/markovify
	$(INSTALL_DATA) bleachbit/*.py $(DESTDIR)$(datadir)/bleachbit
	$(INSTALL_DATA) bleachbit/markovify/*.py $(DESTDIR)$(datadir)/bleachbit/markovify
	#note: compileall is recursive
	cd $(DESTDIR)$(datadir)/bleachbit && \
	$(PYTHON) -O -c "import compileall; compileall.compile_dir('.')" && \
	$(PYTHON) -c "import compileall; compileall.compile_dir('.')"

	# cleaners
	mkdir -p $(DESTDIR)$(datadir)/bleachbit/cleaners
	$(INSTALL_DATA) cleaners/*.xml $(DESTDIR)$(datadir)/bleachbit/cleaners

	# menu
	$(INSTALL_DATA) data/app-menu.ui $(DESTDIR)$(datadir)/bleachbit

	# icon
	mkdir -p $(DESTDIR)$(datadir)/pixmaps
	$(INSTALL_DATA) bleachbit.png $(DESTDIR)$(datadir)/pixmaps/

	# translations
	make -C po install DESTDIR=$(DESTDIR)

	# PolicyKit
	mkdir -p $(DESTDIR)$(datadir)/polkit-1/actions
	$(INSTALL_DATA) org.bleachbit.policy $(DESTDIR)$(datadir)/polkit-1/actions/

lint:
	[ -x "$$(command -v pyflakes3)" ] ||  echo "WARNING: pyflakes3 not found"
	[ -x "$$(command -v pylint)" ] ||  echo "WARNING: pylint not found"
	for f in *py */*py; \
	do \
		echo "$$f"; \
		( [ -x "$$(command -v pyflakes3)" ] && pyflakes3 "$$f" > "$$f".pyflakes.log ); \
		( [ -x "$$(command -v pylint)" ] && pylint "$$f" > "$$f".pylint.log ); \
	done; \
	exit 0

delete_windows_files:
	# This is used for building .deb and .rpm packages.
	# Remove Windows-specific cleaners.
	grep -l "cleaner id=\"\w*\" os=\"windows\"" cleaners/*xml | xargs rm -f
	# Remove Windows-specific modules.
	rm -f bleachbit/{Winapp,Windows*}.py 

downgrade_desktop:
#	This will downgrade the version of the .desktop file for older Linux distributions.
#	See https://github.com/bleachbit/bleachbit/issues/750
	desktop-file-validate org.bleachbit.BleachBit.desktop || \
	 sed --regexp-extended -i '/^(Keywords|Version)=/d' org.bleachbit.BleachBit.desktop

tests:
	make -C cleaners tests; cleaners_status=$$?; \
	$(COVERAGE) -m unittest discover -p Test*.py -v; py_status=$$?; \
	exit $$(($$cleaners_status + $$py_status))

pretty:
	autopep8 -i {.,bleachbit,tests}/*py
	dos2unix  {.,bleachbit,tests}/*py
	make -C cleaners pretty
	xmllint --format doc/cleaner_markup_language.xsd > doc/cleaner_markup_language.xsd.tmp
	mv doc/cleaner_markup_language.xsd.tmp doc/cleaner_markup_language.xsd

=== cleaners/Makefile ===
# Copyright (C) 2008-2024 Andrew Ziem.  All rights reserved.
# License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
# This is free software: You are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

# On some systems if not explicitly given, make uses /bin/sh, so 'make pretty' fails.
SHELL := /bin/bash

PHONY: pretty tests


pretty:
	for f in *xml; \
	do \
		xmllint --format "$$f" > "$$f.pretty"; \
		diff=`diff -q "$$f" "$$f.pretty" | grep -o differ`; \
		[[ "$$diff" != "differ" ]] && echo "$$f" unchanged && rm "$$f.pretty"; \
		[[ -s "$$f.pretty" ]] && echo "$$f" is pretty now!!! && mv "$$f.pretty" "$$f"; \
	done; \
	exit 0

tests:
	lintrc=0; \
	for f in *.xml; \
	do \
		xmllint --noout --schema ../doc/cleaner_markup_language.xsd "$$f"; \
		lintrc=$$(($$lintrc + $$?)); \
	done; \
	exit $$lintrc

=== po/Makefile ===
APP = bleachbit
POFILES = $(wildcard *.po)
MOFILES = $(patsubst %.po,%.mo,$(POFILES))
SRC = $(wildcard ../bleachbit/*.py) ../data/app-menu.ui
POTFILE = $(APP).pot


.PHONY: refresh-po spelling local install clean all

cleanerml.pot: ../bleachbit/CleanerML.py ../cleaners/*xml
	python3 ../bleachbit.py --pot

desktop.pot: ../org.bleachbit.BleachBit.desktop
	echo "#: ../org.bleachbit.BleachBit.desktop" > desktop.pot
	echo "msgid \"`perl -n -e '/GenericName=(.*)$$/ && print "$$1\n"' ../org.bleachbit.BleachBit.desktop`\"" >> desktop.pot
	echo "msgstr \"\"" >> desktop.pot
	echo >> desktop.pot
	echo "#: ../org.bleachbit.BleachBit.desktop" >> desktop.pot
	echo "msgid \"`perl -n -e '/Comment=(.*)$$/ && print "$$1\n"' ../org.bleachbit.BleachBit.desktop`\"" >> desktop.pot
	echo "msgstr \"\"" >> desktop.pot
	echo >> desktop.pot


$(POTFILE): $(SRC) cleanerml.pot desktop.pot
	@echo "* Generating $(APP).pot"
	echo " Words before update: " \
		`tail -n +20 bleachbit.pot | grep -v ^# | sed "s/\(msgstr\|msgid\)//g" | sort | wc --words`
	cat cleanerml.pot desktop.pot > $(APP).pot
	xgettext -o $(APP).pot \
		--join-existing \
		--add-comments=TRANSLATORS \
		--keyword="_p:1c,2" \
		--default-domain=$(APP) \
		$(SRC)
	sed -i 's/charset=CHARSET/charset=utf-8/g' bleachbit.pot
	echo " Words after update: " \
		`tail -n +20 bleachbit.pot | grep -v ^# | sed "s/\(msgstr\|msgid\)//g" | sort | wc --words`


refresh-po: $(POTFILE)
	@echo "* Refreshing .po files"
	for oldpo in $(POFILES); do \
		lang=`basename $$oldpo .po`; \
		echo $$lang; \
		msgmerge --no-fuzzy-matching -v $${lang}.po $(POTFILE) > $${lang}.pot; \
		mv $$lang.pot $$lang.po; \
	done

spelling: $(POTFILE)
	@echo "* Checking spelling"
	@echo
	@echo Word count: `msggrep -Kie . --no-wrap $(POTFILE)  | grep ^msgid  | cut -c 8- | wc --words`
	@echo
	msggrep -Kie . --no-wrap $(POTFILE)  | grep ^msgid  | cut -c 8- | aspell --personal=./aspell.pws list | sort -u

%.mo: %.po
	@echo "* Generating $@"
	msgfmt --statistics -o $@ $<

local: $(MOFILES)
	@echo "* Copy locally for running without system installation"
	for mofile in $(MOFILES); do \
		lang=`basename $$mofile .mo`; \
		mkdir -p ../locale/$$lang/LC_MESSAGES/; \
		cp -lf $$mofile ../locale/$$lang/LC_MESSAGES/bleachbit.mo; \
	done
	@echo "Now you can run cd ..; python3 bleachbit/GUI.py"

install: $(MOFILES)
	echo "* Installing in $(DESTDIR)/usr/share/locale"
	for MO in $(MOFILES); do \
		lang=`basename $$MO .mo`; \
		DST=$(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
		mkdir -p $$DST; \
		cp $$MO $$DST/bleachbit.mo; \
done

clean:
	echo "* Cleaning"
	@rm -fv *.mo
	@rm -fv $(APP).pot cleanerml.pot desktop.pot
	@rm -rfv ../locale

all: $(APP).pot $(MOFILES)

=== debian/changelog ===
bleachbit (4.6.2-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * d/control: fix syntax error in Maintainer
  * d/rules: remove Python2 vs 3 hybridation

  [ Fabio Fantoni ]
  * improve d/gbp.conf
  * Update standards version to 4.7.2, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 13 Apr 2025 13:01:05 +0200

bleachbit (4.6.2-1) unstable; urgency=medium

  * New upstream version 4.6.2
  * d/salsa-ci.yml: add licenserecon
  * add d/lrc.config for exclude possible false-positive with licenserecon
  * d/patches: remove 2 patches applied upstream and refresh other
  * Update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 09 Nov 2024 10:44:05 +0100

bleachbit (4.6.0-4) unstable; urgency=medium

  * Update standards version to 4.7.0, no changes needed
  * Add missed entries on d/copyright (Closes: #1077071)
  * Add 2 upstream fixes for invalid escape sequence SintaxWarning
    from python 3.12 (Closes: #1079366)
  * d/rules:
    - remove executable from app-menu.ui
    - remove Windows-specific modules

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Thu, 29 Aug 2024 11:07:00 +0000

=== debian/control ===
Source: bleachbit
Section: admin
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 debhelper-compat (= 13),
 desktop-file-utils,
 dh-sequence-python3,
 gettext,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/python-team/packages/bleachbit.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/bleachbit
Homepage: https://www.bleachbit.org/

Package: bleachbit
Architecture: all
Depends:
 gir1.2-gtk-3.0,
 gir1.2-notify-0.7,
 pkexec,
 python3-chardet,
 python3-gi,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: delete unnecessary files from the system
 BleachBit deletes unnecessary files to free valuable disk space, maintain
 privacy, and remove junk. It removes cache, Internet history, temporary files,
 cookies, and broken shortcuts.
 .
 It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
 GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
 Second Life Viewer, VIM, XChat, and more.
 .
 Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
 previously deleted files for privacy and to improve compression of images),
 vacuums Firefox databases (to improve performance without deleting data), and
 securely shreds arbitrary files.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/bleachbit

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	find po -name "*.mo" -delete

execute_after_dh_auto_install:
	make -C po install DESTDIR=$(CURDIR)/debian/bleachbit
	# Remove Windows-specific modules
	rm -f $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit/Winapp.py
	rm -f $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit/Windows.py
	rm -f $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit/WindowsWipe.py

override_dh_install:
	# Do not install Windows-specific cleaners
	dh_install $(addprefix -X,$(notdir $(shell grep -l os=.windows. $(shell grep -L os=.linux. cleaners/*.xml) | xargs ls)))
	# Automatically generate .desktop file to invoke BleachBit as superuser
	sed -e "s/Name=BleachBit/Name=BleachBit \(as root\)/; \
		s/TryExec=bleachbit/TryExec=pkexec/; \
		s/Exec=bleachbit/Exec=pkexec bleachbit/" \
		org.bleachbit.BleachBit.desktop > debian/bleachbit/usr/share/applications/bleachbit-root.desktop

execute_after_dh_fixperms:
	chmod +x $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit.py
	chmod -x $(CURDIR)/debian/bleachbit/usr/share/bleachbit/app-menu.ui

=== debian/tests/control ===
Tests: smoketest
Depends:
 bleachbit,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://sf.net/bleachbit/bleachbit-([0-9.]+)\.tar.gz

## bleachbit 5.0.2

=== Makefile ===
# Copyright (C) 2008-2025 Andrew Ziem.  All rights reserved.
# License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
# This is free software: You are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.
#
# Makefile edited by https://github.com/Tobias-B-Besemer
# Done on 2019-03-13

# On some systems if not explicitly given, make uses /bin/sh
SHELL := /bin/bash

.PHONY: clean install tests build tests-with-sudo lint delete_windows_files pretty

prefix ?= /usr/local
bindir ?= $(prefix)/bin
datadir ?= $(prefix)/share

INSTALL = install
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_SCRIPT = $(INSTALL) -m 755

# if not specified, do not check coverage
PYTHON ?= python3
COVERAGE ?= $(PYTHON)

build:
	echo Nothing to build

clean:
	@rm -vf {.,bleachbit,tests,windows,bleachbit/markovify}/*{pyc,pyo,~} # files
	@rm -vrf {.,bleachbit,tests,windows,bleachbit/markovify}/__pycache__ # directories
	@rm -vrf build dist # created by py2exe
	@rm -rf BleachBit-Portable # created by windows/setup.bat
	@rm -rf BleachBit-*-portable.zip
	@rm -vf MANIFEST # created by setup.py
	$(MAKE) -C po clean
	@rm -vrf locale
	@rm -vrf {*/,./}*.{pylint,pyflakes}.log
	@rm -vrf windows/BleachBit-*-setup*.{exe,zip}
	@rm -vrf htmlcov .coverage # code coverage reports
	@rm -vrf *.egg-info # Python package metadata

install:
	# "binary"
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL_SCRIPT) bleachbit.py $(DESTDIR)$(bindir)/bleachbit

	# application launcher
	mkdir -p $(DESTDIR)$(datadir)/applications
	$(INSTALL_DATA) org.bleachbit.BleachBit.desktop $(DESTDIR)$(datadir)/applications/

	# AppStream metadata
	mkdir -p $(DESTDIR)$(datadir)/metainfo
	$(INSTALL_DATA) org.bleachbit.BleachBit.metainfo.xml $(DESTDIR)$(datadir)/metainfo/

	# Python code
	mkdir -p $(DESTDIR)$(datadir)/bleachbit/markovify
	$(INSTALL_DATA) bleachbit/*.py $(DESTDIR)$(datadir)/bleachbit
	$(INSTALL_DATA) bleachbit/markovify/*.py $(DESTDIR)$(datadir)/bleachbit/markovify
	#note: compileall is recursive
	cd $(DESTDIR)$(datadir)/bleachbit && \
	$(PYTHON) -O -c "import compileall; compileall.compile_dir('.')" && \
	$(PYTHON) -c "import compileall; compileall.compile_dir('.')"

	# cleaners
	mkdir -p $(DESTDIR)$(datadir)/bleachbit/cleaners
	$(INSTALL_DATA) cleaners/*.xml $(DESTDIR)$(datadir)/bleachbit/cleaners

	# menu
	$(INSTALL_DATA) data/app-menu.ui $(DESTDIR)$(datadir)/bleachbit

	# icon
	mkdir -p $(DESTDIR)$(datadir)/pixmaps
	$(INSTALL_DATA) bleachbit.png $(DESTDIR)$(datadir)/pixmaps/
	$(INSTALL_DATA) bleachbit-indicator.svg $(DESTDIR)$(datadir)/pixmaps/

	# translations
	$(MAKE) -C po install DESTDIR=$(DESTDIR)

	# PolicyKit
	mkdir -p $(DESTDIR)$(datadir)/polkit-1/actions
	$(INSTALL_DATA) org.bleachbit.policy $(DESTDIR)$(datadir)/polkit-1/actions/

lint:
	command -v pyflakes3 >/dev/null 2>&1 || echo "WARNING: Missing pyflakes3. APT users, try: sudo apt install pyflakes3"
	command -v pylint >/dev/null 2>&1 || echo "WARNING: Missing pylint. APT users, try: sudo apt install pylint"
	for f in *py */*py; \
	do \
		echo "$$f"; \
		( pyflakes3 "$$f" > "$$f".pyflakes.log ); \
		( pylint "$$f" > "$$f".pylint.log ); \
	done; \
	exit 0

delete_windows_files:
	# This is used for building .deb and .rpm packages.
	# Remove Windows-specific cleaners.
	grep -l "cleaner id=\"\w*\" os=\"windows\"" cleaners/*xml | xargs rm -f
	# Remove Windows-specific modules.
	rm -f bleachbit/{Winapp,Windows*}.py 

tests:
	# Catch warnings as errors. Also set in `tests/common.py`.
	$(MAKE) -C cleaners tests; cleaners_status=$$?; \
	PYTHONWARNINGS=error $(COVERAGE) -m unittest discover -p Test*.py -v; py_status=$$?; \
	exit $$(($$cleaners_status + $$py_status))

tests-with-sudo:
	# Run tests marked with @test_also_with_sudo using sudo
	PYTHONWARNINGS=error $(PYTHON) tests/test_with_sudo.py

pretty:
	@if command -v autopep8 >/dev/null 2>&1; then \
		autopep8 -i {.,bleachbit,tests}/*py; \
	else \
		echo "WARNING: Missing autopep8. APT users, try: sudo apt install python3-autopep8"; \
	fi
	@if command -v dos2unix >/dev/null 2>&1; then \
		dos2unix {.,bleachbit,tests}/*py; \
	else \
		echo "WARNING: Missing dos2unix. APT users, try: sudo apt install dos2unix"; \
	fi
	$(MAKE) -C cleaners pretty
	if command -v xmllint >/dev/null 2>&1; then \
		xmllint --format doc/cleaner_markup_language.xsd > doc/cleaner_markup_language.xsd.tmp; \
		mv doc/cleaner_markup_language.xsd.tmp doc/cleaner_markup_language.xsd; \
	else \
		echo "WARNING: Missing xmllint. APT users, try: sudo apt install libxml2-utils"; \
	fi

=== cleaners/Makefile ===
# Copyright (C) 2008-2025 Andrew Ziem.  All rights reserved.
# License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
# This is free software: You are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

# On some systems if not explicitly given, make uses /bin/sh, so 'make pretty' fails.
SHELL := /bin/bash

.PHONY: pretty tests require-xmllint

require-xmllint:
	command -v xmllint >/dev/null 2>&1 || { echo "ERROR: Missing xmllint. APT users, try: sudo apt install libxml2-utils"; exit 1; }

pretty: require-xmllint
	shopt -s nullglob; \
	for f in *xml; \
	do \
		xmllint --format "$$f" > "$$f.pretty"; \
		diff=`diff -q "$$f" "$$f.pretty" | grep -o differ`; \
		[[ "$$diff" != "differ" ]] && echo "$$f" unchanged && rm -- "$$f.pretty"; \
		[[ -s "$$f.pretty" ]] && echo "$$f" is pretty now!!! && mv -- "$$f.pretty" "$$f"; \
	done; \
	exit 0

tests: require-xmllint
	lintrc=0; \
	shopt -s nullglob; \
	for f in *.xml; \
	do \
		xmllint --noout --schema ../doc/cleaner_markup_language.xsd "$$f"; \
		# In case of an error, delay exit, so we can see all errors. \
		lintrc=$$(($$lintrc + $$?)); \
	done; \
	exit $$lintrc

=== po/Makefile ===
APP = bleachbit
POFILES = $(wildcard *.po)
MOFILES = $(patsubst %.po,%.mo,$(POFILES))
SRC = $(wildcard ../bleachbit/*.py) ../data/app-menu.ui
POTFILE = $(APP).pot
ITS ?= /usr/share/gettext/its/metainfo.its
PYTHON ?= python3


.PHONY: refresh-po spelling local install clean all require-gettext

require-gettext:
	@missing=0; \
	for c in xgettext msgmerge msgfmt msggrep; do \
		command -v $$c >/dev/null 2>&1 || missing=1; \
	done; \
	if [ $$missing -ne 0 ]; then \
		echo "ERROR: Missing gettext. APT users, try: sudo apt install gettext"; \
		exit 1; \
	fi

cleanerml.pot: ../bleachbit/CleanerML.py ../cleaners/*xml
	$(PYTHON) ../bleachbit.py --pot

desktop.pot: ../org.bleachbit.BleachBit.desktop
	echo "#: ../org.bleachbit.BleachBit.desktop" > desktop.pot
	echo "msgid \"`perl -n -e '/GenericName=(.*)$$/ && print "$$1\n"' ../org.bleachbit.BleachBit.desktop`\"" >> desktop.pot
	echo "msgstr \"\"" >> desktop.pot
	echo >> desktop.pot
	echo "#: ../org.bleachbit.BleachBit.desktop" >> desktop.pot
	echo "msgid \"`perl -n -e '/Comment=(.*)$$/ && print "$$1\n"' ../org.bleachbit.BleachBit.desktop`\"" >> desktop.pot
	echo "msgstr \"\"" >> desktop.pot
	echo >> desktop.pot

metainfo.pot: ../org.bleachbit.BleachBit.metainfo.xml require-gettext
	@echo "* Extracting translatable strings from metainfo.xml using xgettext with ITS"
	@if [ -f "$(ITS)" ]; then \
		xgettext -o $@ \
			--from-code=UTF-8 \
			--add-comments=TRANSLATORS \
			--add-location=file \
			--its=$(ITS) \
			$<; \
	else \
		echo "WARNING: Required file '$(ITS)' is missing. Skipping metainfo extraction (creating stub)."; \
		echo "APT users, try: sudo apt install appstream"; \
		echo '# metainfo.pot stub (ITS file missing)' > $@; \
	fi

$(POTFILE): $(SRC) cleanerml.pot desktop.pot metainfo.pot require-gettext
	@echo "* Generating $(POTFILE)"
	@if [ -f $(POTFILE) ]; then \
		cp $(POTFILE) $(POTFILE).old; \
		echo " Words before update: "; \
		tail -n +20 $(POTFILE) | grep -v ^# | sed "s/\(msgstr\|msgid\)//g" | sort | uniq |wc --words; \
	fi
	cat cleanerml.pot desktop.pot metainfo.pot > $(POTFILE)
	# --add-location=file: reduces size of diff
	xgettext -o $(POTFILE) \
		--join-existing \
		--add-comments=TRANSLATORS \
		--keyword="_p:1c,2" \
		--default-domain=$(APP) \
		--add-location=file \
		$(SRC)
	sed -i 's/charset=CHARSET/charset=utf-8/g' $(POTFILE)
	echo " Words after update: " \
		`tail -n +20 $(POTFILE) | grep -v ^# | sed "s/\(msgstr\|msgid\)//g" | sort | uniq | wc --words`
	if [ -f $(POTFILE).old ]; then \
		echo "msgid added or removed"; \
		msgcomm -u $(POTFILE) $(POTFILE).old > diff.pot; \
		sed -e '1,/^"Plural-Forms:/d' -e '/^#/d' -e '/^msgstr/d' -e '/^$$/d' diff.pot; \
	fi


refresh-po: $(POTFILE) require-gettext
	@echo "* Refreshing .po files"
	for oldpo in $(POFILES); do \
		lang=`basename $$oldpo .po`; \
		echo $$lang; \
		msgmerge --no-fuzzy-matching -v $${lang}.po $(POTFILE) > $${lang}.pot; \
		mv $$lang.pot $$lang.po; \
	done

spelling: $(POTFILE) require-gettext
	@echo "* Checking spelling"
	@echo
	@echo Word count: `msggrep -Kie . --no-wrap $(POTFILE)  | grep ^msgid  | cut -c 8- | wc --words`
	@echo
	@command -v aspell >/dev/null 2>&1 || { echo "WARNING: Missing 'aspell'. apt users, try: sudo apt install aspell"; exit 0; }
	msggrep -Kie . --no-wrap $(POTFILE)  | grep ^msgid  | cut -c 8- | aspell --personal=./aspell.pws list | sort -u

%.mo: %.po require-gettext
	@echo "* Generating $@"
	msgfmt --statistics -o $@ $<

local: $(MOFILES)
	@echo "* Copy locally for running without system installation"
	for mofile in $(MOFILES); do \
		lang=`basename $$mofile .mo`; \
		mkdir -p ../locale/$$lang/LC_MESSAGES/; \
		cp -lf $$mofile ../locale/$$lang/LC_MESSAGES/bleachbit.mo; \
	done
	@echo "To launch the application, run this in the project root directory:"
	@echo "$(PYTHON) bleachbit.py"

install: $(MOFILES)
	echo "* Installing in $(DESTDIR)/usr/share/locale"
	for MO in $(MOFILES); do \
		lang=`basename $$MO .mo`; \
		DST=$(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
		mkdir -p $$DST; \
		cp $$MO $$DST/bleachbit.mo; \
	done

clean:
	echo "* Cleaning"
	@rm -fv -- *.mo
	# Keep $(POTFILE) because it is stored in Git for Weblate.
	@rm -fv $(POTFILE).old cleanerml.pot desktop.pot metainfo.pot diff.pot
	@rm -rfv ../locale

all: $(POTFILE) $(MOFILES)

=== windows/requirements.txt ===
# requirements for BleachBit on Windows
certifi
chardet
plyer
psutil
py2exe
pypiwin32
requests
scandir # FIXME: switch to os.walk() on Windows
winshell

=== debian/changelog ===
bleachbit (5.0.2-1.0antix1) unstable; urgency=medium

  * Remove dependency on pkec and policykit-1
  * As root use sudo instead of pkexec 

 -- anticapitalista <antix@operamail.com>  Mon, 05 Jan 2026 13:47:58 +0200

bleachbit (5.0.2-1) unstable; urgency=medium

  * New upstream version 5.0.2
  * d/salsa-ci.yml: licenserecon now integrated in the default pipeline
  * Refresh d/patches
  * d/install: add bleachbit-indicator.svg
  * d/control: add python3-psutil in deps and gir1.2-ayatanaappindicator3-0.1 in recommends
  * Update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 16 Dec 2025 17:02:51 +0000

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,13 @@
 Depends:
  gir1.2-gtk-3.0,
  gir1.2-notify-0.7,
- pkexec,
  python3-chardet,
  python3-gi,
+ python3-psutil,
  python3-requests,
  ${misc:Depends},
  ${python3:Depends},
+Recommends: gir1.2-ayatanaappindicator3-0.1
 Description: delete unnecessary files from the system
  BleachBit deletes unnecessary files to free valuable disk space, maintain
  privacy, and remove junk. It removes cache, Internet history, temporary files,

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 	dh_install $(addprefix -X,$(notdir $(shell grep -l os=.windows. $(shell grep -L os=.linux. cleaners/*.xml) | xargs ls)))
 	# Automatically generate .desktop file to invoke BleachBit as superuser
 	sed -e "s/Name=BleachBit/Name=BleachBit \(as root\)/; \
-		s/TryExec=bleachbit/TryExec=pkexec/; \
-		s/Exec=bleachbit/Exec=pkexec bleachbit/" \
+		s/TryExec=bleachbit/TryExec=sudo/; \
+		s/Exec=bleachbit/Exec=sudo bleachbit/" \
 		org.bleachbit.BleachBit.desktop > debian/bleachbit/usr/share/applications/bleachbit-root.desktop
 
 execute_after_dh_fixperms:
